---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libCallsNative.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _doCalleeWork, symObjAddr: 0x0, symBinAddr: 0x39DC, symSize: 0x16C }
  - { offsetInCU: 0xB5, offset: 0xB5, size: 0x8, addend: 0x0, symName: _doCalleeWork, symObjAddr: 0x0, symBinAddr: 0x39DC, symSize: 0x16C }
  - { offsetInCU: 0x253, offset: 0x253, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeDynamic_calleeNative, symObjAddr: 0x16C, symBinAddr: 0x3B48, symSize: 0x4 }
  - { offsetInCU: 0x2CD, offset: 0x2CD, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeDynamic_calleeNative, symObjAddr: 0x16C, symBinAddr: 0x3B48, symSize: 0x4 }
  - { offsetInCU: 0x30D, offset: 0x30D, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeInterface_calleeNative, symObjAddr: 0x170, symBinAddr: 0x3B4C, symSize: 0x4 }
  - { offsetInCU: 0x387, offset: 0x387, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeInterface_calleeNative, symObjAddr: 0x170, symBinAddr: 0x3B4C, symSize: 0x4 }
  - { offsetInCU: 0x3C7, offset: 0x3C7, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeSpecial_calleeNative, symObjAddr: 0x174, symBinAddr: 0x3B50, symSize: 0x4 }
  - { offsetInCU: 0x441, offset: 0x441, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeSpecial_calleeNative, symObjAddr: 0x174, symBinAddr: 0x3B50, symSize: 0x4 }
  - { offsetInCU: 0x481, offset: 0x481, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeVirtual_calleeNative, symObjAddr: 0x178, symBinAddr: 0x3B54, symSize: 0x4 }
  - { offsetInCU: 0x4FB, offset: 0x4FB, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeVirtual_calleeNative, symObjAddr: 0x178, symBinAddr: 0x3B54, symSize: 0x4 }
  - { offsetInCU: 0x53B, offset: 0x53B, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeStatic_calleeNative, symObjAddr: 0x17C, symBinAddr: 0x3B58, symSize: 0x14 }
  - { offsetInCU: 0x60C, offset: 0x60C, size: 0x8, addend: 0x0, symName: _doCallerWork, symObjAddr: 0x190, symBinAddr: 0x3B6C, symSize: 0x2EC }
  - { offsetInCU: 0x8E4, offset: 0x8E4, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeSpecial_callerNative, symObjAddr: 0x47C, symBinAddr: 0x3E58, symSize: 0x8 }
  - { offsetInCU: 0x935, offset: 0x935, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeVirtual_callerNative, symObjAddr: 0x484, symBinAddr: 0x3E60, symSize: 0x8 }
  - { offsetInCU: 0x986, offset: 0x986, size: 0x8, addend: 0x0, symName: _Java_compiler_calls_common_InvokeStatic_callerNative, symObjAddr: 0x48C, symBinAddr: 0x3E68, symSize: 0x8 }
...
